Orientations in React Timeline component

7 Oct 202510 minutes to read

The Timeline component supports displaying items in both horizontal and vertical directions using the orientation property. This flexibility allows you to choose the most suitable layout based on your application’s design requirements and available space.

Vertical

Display timeline items vertically in a top-to-bottom sequence by setting the orientation property to Vertical. By default, the items are displayed in vertical orientation.

import * as React from "react";
import * as ReactDom from "react-dom";
import { TimelineComponent, ItemsDirective, ItemDirective } from '@syncfusion/ej2-react-layouts';

function App() {
    return (
        <div id='timeline' style={{ height: "350px" }}>
            <TimelineComponent orientation='Vertical'>
                <ItemsDirective>
                    <ItemDirective content='Day 1, 4:00 PM' oppositeContent='Check-in and campsite visit' />
                    <ItemDirective content='Day 1, 7:00 PM' oppositeContent='Dinner with music' />
                    <ItemDirective content='Day 2, 5:30 AM' oppositeContent='Sunrise between mountains' />
                    <ItemDirective content='Day 2, 8:00 AM' oppositeContent='Breakfast and check-out' />
                </ItemsDirective>
            </TimelineComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />, document.getElementById("element"));
import * as React from "react";
import * as ReactDom from "react-dom";
import { TimelineComponent, ItemsDirective, ItemDirective } from '@syncfusion/ej2-react-layouts';

function App() {
    return (
        <div id='timeline' style={{ height: "330px" }}>
            <TimelineComponent orientation='Vertical'>
                <ItemsDirective>
                    <ItemDirective content='Day 1, 4:00 PM' oppositeContent='Check-in and campsite visit' />
                    <ItemDirective content='Day 1, 7:00 PM' oppositeContent='Dinner with music' />
                    <ItemDirective content='Day 2, 5:30 AM' oppositeContent='Sunrise between mountains' />
                    <ItemDirective content='Day 2, 8:00 AM' oppositeContent='Breakfast and check-out' />
                </ItemsDirective>
            </TimelineComponent>
        </div>
    );
}
export default App;
ReactDom.render(<App />, document.getElementById("element"));
/* Represents the styles for loader */
#loader {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion EJ2 React Timeline Sample</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/31.2.12/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/31.2.12/ej2-layouts/styles/material.css" rel="stylesheet" />
    <link href="index.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id='element' style="margin-top: 30px;">
        <div id='loader'>Loading....</div>
    </div>
</body>

</html>

Horizontal

Display timeline items horizontally in a left-to-right sequence by setting the orientation property to Horizontal. The horizontal layout works particularly well on desktop screens and wide containers.

import * as React from "react";
import * as ReactDom from "react-dom";
import { TimelineComponent, ItemsDirective, ItemDirective } from '@syncfusion/ej2-react-layouts';

function App() {
    return (
        <div id='timeline'>
            <TimelineComponent orientation='Horizontal'>
                <ItemsDirective>
                    <ItemDirective content='Day 1, 4:00 PM' oppositeContent='Check-in and campsite visit' />
                    <ItemDirective content='Day 1, 7:00 PM' oppositeContent='Dinner with music' />
                    <ItemDirective content='Day 2, 5:30 AM' oppositeContent='Sunrise between mountains' />
                    <ItemDirective content='Day 2, 8:00 AM' oppositeContent='Breakfast and check-out' />
                </ItemsDirective>
            </TimelineComponent>
      </div>
    );
}
export default App;
ReactDom.render(<App />, document.getElementById("element"));
import * as React from "react";
import * as ReactDom from "react-dom";
import { TimelineComponent, ItemsDirective, ItemDirective } from '@syncfusion/ej2-react-layouts';

function App() {
    return (
        <div id='timeline'>
            <TimelineComponent orientation='Horizontal'>
                <ItemsDirective>
                    <ItemDirective content='Day 1, 4:00 PM' oppositeContent='Check-in and campsite visit' />
                    <ItemDirective content='Day 1, 7:00 PM' oppositeContent='Dinner with music' />
                    <ItemDirective content='Day 2, 5:30 AM' oppositeContent='Sunrise between mountains' />
                    <ItemDirective content='Day 2, 8:00 AM' oppositeContent='Breakfast and check-out' />
                </ItemsDirective>
            </TimelineComponent>
      </div>
    );
}
export default App;
ReactDom.render(<App />, document.getElementById("element"));
/* Represents the styles for loader */
#loader {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion EJ2 React Timeline Sample</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/31.2.12/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/31.2.12/ej2-layouts/styles/material.css" rel="stylesheet" />
    <link href="index.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id='element' style="margin-top: 50px;">
        <div id='loader'>Loading....</div>
    </div>
</body>

</html>

Orientations in Angular Timeline component

4 Sep 20254 minutes to read

The Timeline component supports displaying items in both horizontal and vertical directions using the orientation property. This flexibility allows you to choose the most suitable layout based on your application’s design requirements and available space.

Vertical

Display timeline items vertically in a top-to-bottom sequence by setting the orientation property to Vertical. By default, the items are displayed in vertical orientation.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { CommonModule } from '@angular/common';
import { Component } from '@angular/core';
import { TimelineItemModel, TimelineModule, TimelineAllModule } from "@syncfusion/ej2-angular-layouts";

@Component({
  imports: [CommonModule, TimelineModule, TimelineAllModule],
  standalone: true,
  selector: 'app-root',
  templateUrl: './app.component.html',
})

export class AppComponent {

  public tripItenerary: TimelineItemModel[] = [
    { content: 'Day 1, 4:00 PM', oppositeContent: 'Check-in and campsite visit' },
    { content: 'Day 1, 7:00 PM', oppositeContent: 'Dinner with music' },
    { content: 'Day 2, 5:30 AM', oppositeContent: 'Sunrise between mountains' },
    { content: 'Day 2, 8:00 AM', oppositeContent: 'Breakfast and check-out' },
  ];

}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));
<div class="container" style="height: 330px;margin-top: 30px;">
    <ejs-timeline orientation="Vertical">
        <e-items>
            <e-item *ngFor="let item of tripItenerary" [content]="item.content" [oppositeContent]="item.oppositeContent"> </e-item>
        </e-items>
    </ejs-timeline>
</div>
@import "node_modules/@syncfusion/ej2-base/styles/material.css";
@import 'node_modules/@syncfusion/ej2-angular-layouts/styles/material.css';

Horizontal

Display timeline items horizontally in a left-to-right sequence by setting the orientation property to Horizontal. The horizontal layout works particularly well on desktop screens and wide containers.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { CommonModule } from '@angular/common';
import { Component } from '@angular/core';
import { TimelineItemModel, TimelineModule, TimelineAllModule } from "@syncfusion/ej2-angular-layouts";

@Component({
  imports: [CommonModule, TimelineModule, TimelineAllModule],
  standalone: true,
  selector: 'app-root',
  templateUrl: './app.component.html',
})

export class AppComponent {

  public tripItenerary: TimelineItemModel[] = [
    { content: 'Day 1, 4:00 PM', oppositeContent: 'Check-in and campsite visit' },
    { content: 'Day 1, 7:00 PM', oppositeContent: 'Dinner with music' },
    { content: 'Day 2, 5:30 AM', oppositeContent: 'Sunrise between mountains' },
    { content: 'Day 2, 8:00 AM', oppositeContent: 'Breakfast and check-out' },
  ];

}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));
<div class="container" style="margin-top: 50px;">
    <ejs-timeline orientation="Horizontal">
        <e-items>
            <e-item *ngFor="let item of tripItenerary" [content]="item.content" [oppositeContent]="item.oppositeContent"> </e-item>
        </e-items>
    </ejs-timeline>
</div>
@import "node_modules/@syncfusion/ej2-base/styles/material.css";
@import 'node_modules/@syncfusion/ej2-angular-layouts/styles/material.css';

Orientations in Vue Timeline component

21 Feb 20255 minutes to read

The Timeline component supports the display of items in both the horizontal and vertical direction by using the orientation property.

Vertical

In vertical orientation, the items are displayed one below the other by setting the orientation property to Vertical, which is also the default orientation.

<template>
  <div class="container" style="height: 330px;margin-top: 30px;">
    <ejs-timeline id="timeline" orientation="Vertical">
      <e-items>
        <e-item content='Day 1, 4:00 PM' oppositeContent='Check-in and campsite visit' />
        <e-item content='Day 1, 7:00 PM' oppositeContent='Dinner with music' />
        <e-item content='Day 2, 5:30 AM' oppositeContent='Sunrise between mountains' />
        <e-item content='Day 2, 8:00 AM' oppositeContent='Breakfast and check-out' />
      </e-items>
    </ejs-timeline>
  </div>
</template>

<script setup>
import { TimelineComponent as EjsTimeline, ItemsDirective as EItems, ItemDirective as EItem } from "@syncfusion/ej2-vue-layouts";

</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-layouts/styles/material.css";

.container {
  height: 350px;
}
</style>
<template>
  <div class="container" style="height: 330px;margin-top: 30px;">
    <ejs-timeline id="timeline" orientation="Vertical">
      <e-items>
        <e-item content='Day 1, 4:00 PM' oppositeContent='Check-in and campsite visit' />
        <e-item content='Day 1, 7:00 PM' oppositeContent='Dinner with music' />
        <e-item content='Day 2, 5:30 AM' oppositeContent='Sunrise between mountains' />
        <e-item content='Day 2, 8:00 AM' oppositeContent='Breakfast and check-out' />
      </e-items>
    </ejs-timeline>
  </div>
</template>

<script>
import { TimelineComponent, ItemsDirective, ItemDirective } from "@syncfusion/ej2-vue-layouts";
export default {
  name: "App",
  components: {
    'ejs-timeline': TimelineComponent,
    'e-items': ItemsDirective,
    'e-item': ItemDirective
  },
  data() {
    return {
    }
  }
};
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-layouts/styles/material.css";

.container {
  height: 350px;
}
</style>

Horizontal

In horizontal orientation, the items are displayed in a side-by-side manner by setting the orientation property to Horizontal.

<template>
  <div class="container" style="margin-top: 50px;">
    <ejs-timeline id="timeline" orientation="Horizontal">
      <e-items>
        <e-item content='Day 1, 4:00 PM' oppositeContent='Check-in and campsite visit' />
        <e-item content='Day 1, 7:00 PM' oppositeContent='Dinner with music' />
        <e-item content='Day 2, 5:30 AM' oppositeContent='Sunrise between mountains' />
        <e-item content='Day 2, 8:00 AM' oppositeContent='Breakfast and check-out' />
      </e-items>
    </ejs-timeline>
  </div>
</template>

<script setup>
import { TimelineComponent as EjsTimeline, ItemsDirective as EItems, ItemDirective as EItem } from "@syncfusion/ej2-vue-layouts";

</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-layouts/styles/material.css";
</style>
<template>
  <div class="container" style="margin-top: 50px;">
    <ejs-timeline id="timeline" orientation="Horizontal">
      <e-items>
        <e-item content='Day 1, 4:00 PM' oppositeContent='Check-in and campsite visit' />
        <e-item content='Day 1, 7:00 PM' oppositeContent='Dinner with music' />
        <e-item content='Day 2, 5:30 AM' oppositeContent='Sunrise between mountains' />
        <e-item content='Day 2, 8:00 AM' oppositeContent='Breakfast and check-out' />
      </e-items>
    </ejs-timeline>
  </div>
</template>

<script>
import { TimelineComponent, ItemsDirective, ItemDirective } from "@syncfusion/ej2-vue-layouts";
export default {
  name: "App",
  components: {
    'ejs-timeline': TimelineComponent,
    'e-items': ItemsDirective,
    'e-item': ItemDirective
  },
  data() {
    return {
    }
  }
};
</script>

<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-layouts/styles/material.css";
</style>